MolSurf.h File Reference

Use MolDescriptors.h in client code. More...

`#include <RDGeneral/export.h>`
`#include <vector>`

Go to the source code of this file.

## Namespaces

| RDKit
| Std stuff.
| RDKit::Descriptors

## Functions

RDKIT_DESCRIPTORS_EXPORT double | RDKit::Descriptors::getLabuteAtomContribs (const ROMol &mol, std::vector< double > &Vi, double &hContrib, bool includeHs=true, bool force=false)
| calculates atomic contributions to Labute's Approximate Surface Area More...
RDKIT_DESCRIPTORS_EXPORT double | RDKit::Descriptors::calcLabuteASA (const ROMol &mol, bool includeHs=true, bool force=false)
| calculates Labute's Approximate Surface Area (ASA from MOE) More...
RDKIT_DESCRIPTORS_EXPORT double | RDKit::Descriptors::getTPSAAtomContribs (const ROMol &mol, std::vector< double > &Vi, bool force=false, bool includeSandP=false)
| calculates atomic contributions to the TPSA value More...
RDKIT_DESCRIPTORS_EXPORT double | RDKit::Descriptors::calcTPSA (const ROMol &mol, bool force=false, bool includeSandP=false)
| calculates the TPSA value for a molecule More...
RDKIT_DESCRIPTORS_EXPORT std::vector< double > | RDKit::Descriptors::calcSlogP_VSA (const ROMol &mol, std::vector< double > *bins=0, bool force=false)
RDKIT_DESCRIPTORS_EXPORT std::vector< double > | RDKit::Descriptors::calcSMR_VSA (const ROMol &mol, std::vector< double > *bins=0, bool force=false)
RDKIT_DESCRIPTORS_EXPORT std::vector< double > | RDKit::Descriptors::calcPEOE_VSA (const ROMol &mol, std::vector< double > *bins=0, bool force=false)
RDKIT_DESCRIPTORS_EXPORT std::vector< double > | RDKit::Descriptors::calcCustomProp_VSA (const ROMol &mol, const std::string &customPropName, const std::vector< double > &bins, bool force=false)

## Variables

const std::string | RDKit::Descriptors::labuteASAVersion = "1.0.2"
const std::string | RDKit::Descriptors::tpsaVersion = "2.0.0"

## Detailed Description

Use MolDescriptors.h in client code.

Definition in file MolSurf.h.